#!/bin/bash

# This script downloads the RDP 16S training set into
# a directory named ../sintax, which is created if it
# doesn't exist. The database is a FASTA file with
# taxonomy annotations formatted for sintax.
# It tries the Linux curl and wget commands because
# one or both are often missing. The curl command
# is more common on Mac OSX.

mkdir -p ../sintax

cd ../sintax

name=rdp_16s_v16.fa
URL=http://drive5.com/sintax/$name.gz

which wget
if [ $? == 0 ] ; then
	wget $URL
else
	which curl
	if [ $? == 0 ] ; then
		curl -O $URL
	else
		echo Error -- need curl or wget >> /dev/stderr
		exit 1
	fi
fi

gunzip $name.gz
mv $name sintax_16s.fa

echo
echo === Sintax reference database installed ===
ls -lh ../sintax/sintax_16s.fa
echo
